#!/bin/bash

if ! grep -q "\[cfq\]" /sys/block/sda/queue/scheduler; then
	echo "Not CFQ schedule!!!, quit."
fi

case $1 in
	1)
		echo "Enter test1: one Foreground job"
		(time ./test 1 tdir1) 2>F.txt
		echo "Finished...Please reboot."
		;;
	2)
		echo "Enter test2: one Foreground job plus one Background job[IO: IDLE]"
		(time ./test 0 tdir2) 2>B0[F].txt &
		(time ./test 1 tdir1) 2>F[B0].txt
		echo "Finished...Please reboot."
		;;
	3)
		echo "Enter test3"
		(time ./test 1 tdir2) 2>B1[F].txt &
		(time ./test 1 tdir1) 2>F[B1].txt
		echo "Finished...Please reboot."
		;;
esac
